> For the complete documentation index, see [llms.txt](https://docs.mburger.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mburger.cloud/api-docs-1/integrations-extensions/users/get-profile.md).

# Get Profile

{% hint style="info" %}
How to get a user profile
{% endhint %}

{% tabs %}
{% tab title="Request" %}
`GET https://mburger.cloud/api/profile`

```bash
curl https://mburger.cloud/api/profile
 -H "Accept: application/json" 
 -H "Content-Type: application/x-www-form-urlencoded" 
 -H "X-MBurger-Token: " 
 -H "X-MBurger-Version: 3" 
 -H "Authorization: Bearer"
```

#### Parameters

This API has no parameters.
{% endtab %}

{% tab title="Response" %}
When successful, a HTTP 200 and JSON like this is returned:

```bash
{
  "status_code": 0,
  "body": {
    "id": 1,
    "name": "Name",
    "surname": "Surname",
    "email": "name.surname@mail.com",
    "fb_id": null,
    "auth_mode": "email",
    "data": [],
    "stripe_id": null,
    "card_brand": null,
    "card_last_four": null,
    "trial_ends_at": null,
    "subscriptions": [],
    "purchases": [],
    "published_sections": [],
    "contracts": []
  }  
}
```

{% endtab %}
{% endtabs %}
